Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Jul 13, 2012
Commits on Apr 27, 2012
  1. @timoschilling

    [GEMS] Update development dependencies ("yajl" and "mongoid")

    timoschilling authored committed
    Closes #325
Commits on Mar 27, 2012
Commits on Mar 23, 2012
  1. [GEMS] Updated and cleaned up gem dependencies

    authored
    * Relaxed dependencies on ActiveModel/ActiveRecord
    * Updated Bundler to >= 1.0
    * Updated MultiJson to ~> 1.1
    * Updated Hashr to ~> 0.0.19
    * Added "bson_ext", "minitest"
  2. Added Ruby 1.8 compatibility for `Utils.escape/unescape`

    authored
    1. Added the `rubyext/ruby_1_8` file for storing Ruby 1.8 compatibility patches.
    
    2. Offloaded the `URI.decode_www_form_component` to Rack
       [https://github.com/rack/rack/blob/1.4.1/lib/rack/backports/uri/common_18.rb]
    
    3. Use `String#force_encoding` only when defined
Commits on Mar 22, 2012
  1. [TEST] Removed the "supermodel" gem and used the "redis-persistence" gem

    authored
    The "supermodel" gem has dependency for activemodel ~> 3.0.0, making tests impossible to run without Bundler
    and downright failing on eg. <http://travis-ci.org/karmi/tire>.
    
    Used the "redis-persistence" gem [http://github.com/ataxo/redis-persistence] as a "generic" reference
    ActiveModel implementation. We're interested only in testing "some real ActiveModel" model.
    
    TODO: Research and use some "in-memory" ActiveModel gem, if available.
  2. @vhyza
Commits on Feb 4, 2012
  1. [GEMS] Updated Turn dependency and relaxed ActiveRecord dependency ve…

    authored
    …rsion
    
    NOTE: Supermodel depends on ancient version ofActiveModel: 3.0. Replace with another "generic activemodel" or sort it out somehow.
Commits on Dec 12, 2011
  1. @vhyza
Commits on Nov 29, 2011
  1. [GEMS] Added Hashr (https://rubygems.org/gems/hashr) as dependency

    authored
    Hashr allows to easily wrap Hashes in object-like manner:
    
        config = Hashr.new('foo' => { 'bar' => 'bar' })
    
        config.foo?     # => true
        config.foo      # => { :bar => 'bar' }
    
        config.foo.bar? # => true
        config.foo.bar  # => 'bar'
    
    See <https://github.com/svenfuchs/hashr> for more info.
Commits on Nov 12, 2011
Commits on Nov 11, 2011
Commits on Oct 19, 2011
  1. [FIX] Removed SDoc because it breaks on current RDoc (3.11)

    authored
    TODO: Add back once the gems get compatible again.
    
    Closes #129
Commits on Oct 2, 2011
  1. [GEM] Change Rake to ~> 0.9.2

    authored
Commits on Sep 29, 2011
  1. @michaelklishin

    [ACTIVEMODEL] [TESTS] Added separate integration test suite for Mongo…

    michaelklishin authored committed
    …ID models
    
    This is a combination of 5 commits:
    
    * Initial Mongoid integration tests
    * Make Mongoid integration tests conditional, per discussion with karmi
    * Use Tire proxy in the Mongoid integration test case since Mongoid criteria defines its own .search method
    * More fixes to the mongoid integration test suite, down to 1 failure
    * Makes mongoid integration suite pass
Commits on Aug 27, 2011
  1. [CI] Proper infrastructure setup for the Travis build infrastructure

    authored
    This reverts commit 9f97d3f. The only Rubies tested against are 1.8.7, 1.9.3 and REE,
    which has practical, not purely intelectual benefits.
    
    Alternative implementation users are encouraged to run the tests locally.
Commits on Jun 14, 2011
  1. [GEM] Added support for CHANGELOG after installing via Gem::Specifica…

    authored
    …tion#post_install_message
Commits on Jun 7, 2011
Commits on Jun 4, 2011
  1. @crx

    [GEM] Allow Rake > 0.8 as a dependency

    crx authored committed
  2. @crx

    [GEM] Allow Rails 3.1 in gem dependencies

    crx authored committed
  3. [GEM] Removed dependency on the "yajl-ruby" gem, and used the "multi_…

    authored
    …json" gem
    
    Question to the audience: Should we just use `ActiveSupport::JSON` and be done with it?
Commits on May 31, 2011
  1. [RUBY1.9] Added "sqlite3" dependency to test_helper.rb, moved "mocha"…

    authored
    … dependency to proper place
  2. @filiptepper

    [RUBY1.9] Added missing "sqlite3" dependency for tests

    filiptepper authored committed
Commits on May 17, 2011
Commits on May 1, 2011
Something went wrong with that request. Please try again.